# Delete

Source: https://coolify.io/docs/api/endpoints/servers/delete-server-by-uuid

## DELETE /servers/{uuid}

Delete

Delete server by UUID. With force or delete_from_provider, needs a token with the write and deploy permissions.

**Authentication:** Bearer token (`bearerAuth`)

### Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| uuid | path | yes | string | UUID of the server. |
| force | query | no | boolean | Also delete all resources on the server. Needs the deploy permission. |
| delete_from_provider | query | no | boolean | Also delete the server from its cloud provider (Hetzner, Vultr or DigitalOcean). This cannot be undone. Needs the deploy permission. |

### Responses

#### 200

Server deleted.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 400

Invalid token.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 401

Unauthenticated.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 403

The token needs the deploy permission to delete the resources or the cloud server.

#### 404

Resource not found.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 422

Validation error.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |
| errors | object | no |  |
